/**
 * @slot (default) - The content of the accordion
 * @slot title - the element for the accordion title
 */
export declare class Accordion {
  private baseClass;
  contentContainer: HTMLDivElement;
  titleContainer: HTMLDivElement;
  title: Element;
  element: HTMLUxAccordionElement;
  /** the amount in pixels from wich the accordion functionality is deactivated */
  noAccordionFrom: number | null;
  /** The class to be passes to the title of the accordion when it becomes active */
  activeTitleClass: string;
  /** The accordion will be locked in the current status if the prop is set */
  locked: boolean;
  active: boolean;
  noAccordion: boolean;
  windowWidth: number;
  connectedCallback(): void;
  componentDidLoad(): void;
  private onResize;
  private handleAccordionClick;
  setActiveClassToTitle(): void;
  disconnectedCallback(): void;
  render(): any;
}
